#include <iostream>
using namespace std;
int h[1000];
int main ()
{
    int n,x=1;
    cin>>n;
    int m[n];
    char tf[n+1];
    for (int i=0; i<1000; i++)
    {
        h[i]=x*x;
        x++;
    }
    for (int i=0; i<n; i++)
    {
        cin>>m[i];
        for (int j=0; j<1000; j++)
        {
            for (int k=0; k<=j; k++)
            {
                if (h[j]+h[k]==m[i]) tf[i]='1';
                else
                {
                    if (tf[i]!='1') tf[i]='0';
                }
                if (h[j]+h[k]>m[i]) break;
            }
            if (h[j]>=m[i]) break;
        }
    }
    cout<<tf;
    return 0;
}